# $Revision: 1.28 $, $Date: 2012/01/15 22:21:40 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	I18N
%define		pnam	Charset
Summary:	I18N::Charset - IANA Character Set Registry names and Unicode::MapUTF8 conversion scheme names
Summary(pl.UTF-8):	I18N::Charset - nazwy zestawów znaków wg IANA oraz nazwy tabel konwersji Unicode::MapUTF8
Name:		perl-I18N-Charset
Version:	1.401
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/I18N/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3587c451956705e3b26e41f4b6e9a0d7
URL:		http://search.cpan.org/dist/I18N-Charset/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-File-Which
BuildRequires:	perl-IO-Capture
BuildRequires:	perl-IO-String
BuildRequires:	perl-Test-Pod
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-Test-Simple
BuildRequires:	perl-Unicode-MapUTF8 >= 1.09
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The I18N::Charset module provides access to the IANA Character Set
Registry names for identifying character encoding schemes. It also
provides a mapping to the character set names used by the
Unicode::Map8 and Unicode::Map modules.

So, for example, if you get an HTML document with a META CHARSET="..."
tag, you can fairly quickly determine what Unicode::MapXXX module can
be used to convert it to Unicode.

%description -l pl.UTF-8
Moduł I18N::Charset daje dostęp do nazw z IANA Character Set Registry
(rejestru zestawów znaków IANA) służących do identyfikowania schematów
kodowania znaków. Udostępnia także mapowanie dla nazw zestawów znaków
używanych w modułach Unicode::Map8 i Unicode::Map.

W ten sposób można np. mając dokument HTML ze znacznikiem META
CHARSET="..." szybko określić, jakiego modułu Unicode::MapXXX użyć do
konwersji dokumentu do Unikodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* README
%{perl_vendorlib}/I18N/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-I18N-Charset.spec,v $
Revision 1.28  2012/01/15 22:21:40  zbyniu
- up to 1.401

Revision 1.27  2009/09/15 07:20:39  amateja
- updated to 1.394

Revision 1.26  2008/03/24 13:36:14  qboosh
- generic URL

Revision 1.25  2007-11-22 14:41:36  hawk
- updated to 1.385

Revision 1.24  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.22  2004/12/01 15:53:09  radek
- version 1.375, BR: perl-IO-Capture

Revision 1.21  2004/11/03 22:30:26  paladine
- formatting

Revision 1.20  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.19  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.18  2004/04/22 12:52:33  ankry
- license fixes & unification

Revision 1.17  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.16  2004/04/14 20:46:28  ankry
- cosmetics, unification

Revision 1.15  2004/03/06 23:07:00  adamg
- updated to 1.371

Revision 1.14  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.13  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.12  2003/06/10 15:26:06  qboosh
- up to 1.24 (from RA-branch), release 2

Revision 1.11  2003/05/28 13:00:42  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.7  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:33:26  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/19 15:28:15  ankry
- updated to 1.23

Revision 1.4  2002/10/05 12:18:46  ankry
- updated to 1.22 (new charset)

Revision 1.3  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.2  2002/09/08 21:50:46  radek
- fixed BR

Revision 1.1  2002/09/08 15:51:10  radek
- new, STBR
